/* ************************************************************************** */
/*                                                                            */
/*                                                        :::      ::::::::   */
/*   lem_in.h                                           :+:      :+:    :+:   */
/*                                                    +:+ +:+         +:+     */
/*   By: tmaze <tmaze@student.42.fr>                +#+  +:+       +#+        */
/*                                                +#+#+#+#+#+   +#+           */
/*   Created: 2019/03/23 17:31:19 by tmaze             #+#    #+#             */
/*   Updated: 2019/03/26 17:08:38 by tmaze            ###   ########.fr       */
/*                                                                            */
/* ************************************************************************** */

#ifndef LEM_IN_N
# define LEM_IN_H

# include "libft.h"

typedef struct		s_node
{
	char			*name;
	int				x;
	int				y;
	char			role;
	int				ind;
}					t_node;

typedef struct		s_ind;
{
	int				index;
	struct s_ind	*next;
}					t_ind;

typedef	struct		s_lmdata
{
	int				nbants;
	t_list			*nodes;
	t_ind			**adj;
}					t_lmdata;

void				lm_initdata(t_lmdata *data);
int					lm_getparams(t_lmdata *data);

#endif
